@charset "utf-8";
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
}

html, body {
    height: 100%; /* body가 화면 전체를 차지하도록 설정 */
    overflow: auto; /* 스크롤이 가능하도록 설정 */
    letter-spacing: 3%;
    overflow: hidden auto;
     scroll-behavior: smooth;
}

body {
    font-family: Arial, sans-serif,"맑은 고딕";
    display: flex;
    justify-content: center;
    align-items: flex-start;
    background-color: #f4f4f4;
    color: #fff; 
}
h1{
    color: #ee9235;
    font-size: 3rem;
    text-shadow:2px 2px 3px rgba(0, 0, 0, 0.8);
    width: 100%;
    text-align: center;   
}
.container {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;  /* 중앙정렬 */
    width: 100%;
    min-height: 100%; /* 콘텐츠가 늘어날 수 있도록 설정 */
    margin: 0 auto;   
}

.content {
    width: 100%;
    height: auto; /* 높이가 콘텐츠에 따라 늘어나게 함 */
    padding-bottom: 180px; 

    display: flex;
    flex-wrap: wrap; 
    justify-content: center; 
    align-items: flex-start;    
    gap: 60px 20px; 
     /* 60px : 위아래 줄 간격.
       20px : 좌우 간격.
    */
    
    overflow: visible; /* hidden이면 마진이 잘릴 수 있음 */
}

  #section2 .content {
    display: flex; 
}


.popup-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 25%; /* PC 미디어쿼리 기준과 맞추기 */
    
    min-width: 200px; /* 너무 작으면 줄바꿈이 심해지므로 약간 키움 */    
    margin: 0;    
    border: 2px solid white;
    border-radius: 48%;  
    text-align: center;
    box-sizing: border-box;    
    overflow: hidden;
    background-color: transparent;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);    
    z-index: 2;
    position: relative;
    
}


.popup-image {
    width: 100%;
    height: auto;   
    display: block;
    opacity: 0.2;
    transition: 0.3s;
}
.popup-image1 {
    width: 100%;
    height: auto;   
    display: block;
    opacity: 1;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);  
    transition: 0.3s;
}


.popup-container1 {
    text-align: center;
    display: flex; /* 버튼들을 나란히 배치 */
    gap: 10px; 
    justify-content: center; 
    flex-wrap: wrap;   
     align-items: center; 
     z-index: 2;
  
}

.popup-container2 {
    text-align: center;
    display: flex; /* 버튼들을 나란히 배치 */
    gap: 10px; 
    justify-content: center; 
    flex-wrap: nowrap;
    flex: 1,1;   
     align-items: center; 
     width: 100%;
     z-index: 2;
}

.open-popup {
    height: 100%;
    width: 100%;   
    color: white;
    border: none;
    cursor: pointer;    
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    overflow: hidden;     
}

.open-popup2, .open-video {
    margin-top: 10px;
    padding: 10px 0;
    width: 100%;
    font-size: 20px; font-weight: 400; letter-spacing: 8%;
    background-color: #ee9235;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 25px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);  
    text-shadow:2px 2px 3px rgba(0, 0, 0, 0.4); 
    transition: background-color 0.3s;
    z-index: 2;
}
.ho_10{position: absolute; bottom: 0; left: 0; 
    width: 100%; height: auto; opacity: 0.8;
    transition: 0.6s;
}
.popup-container button{width: 100%; position: absolute;bottom: 50px; left: 0;
    font-size: 25px; background-color: transparent; border: none;
    color: #fff; font-weight: 800; letter-spacing: 3%;
}
.open-popup2:hover, .open-video:hover {
    background-color: #fff;
    color: #ee9235;
}
.popup-container:hover{border: 2px solid #ee9235;}
.popup-container:hover .popup-image{opacity: 1;}
.popup-container:hover .ho_10{opacity: 0;}
.popup-container:hover button{color: #ee9235;
    text-shadow: 2px 2px 4px rgba(46, 27, 10, 0.8);}

/* 팝업 어두운 배경 처리 */
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* 배경 어두운 처리 */
    justify-content: center;
    align-items: center; 
    z-index: 1000;
    cursor: pointer;
}

/* 팝업 이미지 중앙 정렬 */
.popup-content {
    background-color: #fff;
    padding: 5px;
    padding-top: 50px; /* 이미지 위쪽이 잘리지 않도록 여백 추가 */
    /* border-radius: 8px; */
    text-align: center;
    width: 100%;
    max-width: 1500px; /* 최대 크기 설정 */
    display: flex;
    margin: 5px auto;
    position: relative;
    max-height: 90vh;
    overflow-y: auto;
    justify-content: center; 
    align-items: flex-start; /* 상단에 맞춰서 정렬 */
}


/* 이미지에 스크롤 추가 */
.popup-image-container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center; 
    overflow: hidden; 
}





/* 팝업 이미지 */
#popup-image {
    max-width: 100%;
    width: auto;
    height: auto;
    object-fit: contain;     
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.3);
}



/* 팝업 창 닫기 버튼 */
 .close-popup {
    position: fixed;
    top: 10px;
    right: 10px;
    font-size: 30px;
    color: #fff; 
    background-color: rgba(0, 0, 0, 0.6);
    border: none;
    border-radius: 50%; 
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: all 0.3s ease; 
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.3); 
} 


.close-popup:hover {
    background-color: rgba(0, 0, 0, 0.8); 
    transform: scale(1.1); 
}

.close-popup:focus {
    outline: none; /* 클릭 시 테두리 제거 */
}


/* 동영상 팝업 창 스타일 */
.video-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgb(77, 77, 77);
    justify-content: center;
    align-items: center;
    z-index: 1000;
    cursor: pointer;
}


.video-popup-content {
    position: relative;
    width: 70%;
    height: 70%;
    max-width: 1500px;
 /* background-color: rgba(0, 0, 0, 0.5);
    border-radius: 8px;
    box-sizing: border-box; */
    padding: 0; 
    display: flex;
    align-items: center;
    justify-content: center;
    top: 15%;
    left:15%;
} 
.video-container iframe {
    position: absolute;
    top:0;
    left:0;
      width: 100%;
    height: 100%;
}





 /* <!-- 첫화면 효과  ------------------------------------------------- !--> */
#section0 {
     width: 100%;
    height: auto; /* 높이가 콘텐츠에 따라 늘어나게 함 */
    padding-bottom: 100px; 
    display: flex;
    flex-wrap: wrap; 
    justify-content: center;
    background-color: #262626;
    height: 980px; position: fixed; z-index: 999;
    /* animation-delay: 2s; */
    animation: open 2s ease 0.3s forwards;
}
@keyframes open {
    0%{height: 100%;}
    100%{height: 0%; justify-content: flex-end;
        padding-bottom: 0; background-color: transparent;
     }
}

#logo{ width: 400px; height: auto; position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    animation: openlo 2s ease 0.3s forwards;
 }
 @keyframes openlo {
    0%{top: 50%; left: 50%; width: 400px;}
    100%{top: 50%; left: 96%; width: 80px;margin-top: 50px;}
}

 /* <!-- fixd menu ------------------------------------------------- !--> */
.sidebar {
    position: fixed;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column; 
     gap: 30px 10px; 
     z-index: 99;
}
.sidebar .square:nth-child(2n){
    background:url(img/menu22_h.png) no-repeat;
}
.square {
    width: 47px;
    height: 49px;
    background:url(img/menu_h.png) no-repeat;    
    display: flex; z-index: 99;
    margin-right: 20px;
    justify-content: center;
     align-items: center; 
    cursor: pointer;    
    transition: 0.3s;
}
.square div{position: relative;z-index: 96;}
.square img{width: 41px; height: 44px;
     margin-top: -5px;
    opacity: 0; z-index: 97;
}
.square:nth-child(2n) p{margin-right: 0px; margin-top: 5px;}
.square p{position: absolute; top: 0;right: 0;z-index: 98;
    color: #848484; text-align: center;line-height: 30px;
     font-size: 14px; 
   margin-top: 5px; margin-right: 10px;
}
.square span{font-size: 16px;font-weight: bold;}
.square:hover div img{
    opacity: 1;
}
.square:hover span{
    color: #fff; 
}
.square:hover p{
    color: #ee9235;
}

 /* <!--   눈깜빡  오리 ------------------------------------------------- --> */

.duck{width: 250px; height: 250px; border-radius: 125px;
    position: relative; 
    /* border: 1px solid red;  */
    /* margin: -125px 50px 0; */
    margin: -6.5% 8% 0;
   
    
}
.duck img:nth-child(1){width: 150px; height: auto;
    position: absolute; top: 60px;left: 50px;    
    animation: eyes 3s infinite;
}
@keyframes eyes {
    0%{transform: scaleY(1);}
    30%{transform: scaleY(1);}
    32%{transform: scaleY(0);}
    34%{transform: scaleY(1);}
    36%{transform: scaleY(0);}
    38%{transform: scaleY(1);}
    80%{transform: scaleY(1);}
    85%{transform: scaleY(0);}
    90%{transform: scaleY(1);}    
    100%{transform: scaleY(1);}
}

.duck img:nth-child(2){width: 150px; height: auto;
    position: absolute; top: 110px;left: 50px;
}

#duckcolor1{background-color: #262626;}
#duckcolor2{background-color: #D9D9D9;margin-right: auto;
    scroll-margin-top: -125px 
}
#duckcolor3{background-color: #385723;margin-left: auto;
      background: url(img/4_bg.png) no-repeat right;
   background-size: cover;
   background-attachment: fixed;
   z-index: 3;
}
#duckcolor4{background-color: #D9D9D9;}
#duckcolor5{background-color: #1F4E79;margin-right: auto;}
#duckcolor6{background-color: #262626;margin-left: auto;}


/* <!--   section00     --------------------------------------------- --> */

#section1 {
    background: url(img/1_bg.png) no-repeat 0;
    background-color: #fff;
    height: 800px;
    justify-content: center;
    align-items: center; 
    position: relative;
}

#section2in {
    background-color: #262626;    
}

#section3 {
    background-color: #D9D9D9;
    position: relative;
}

#section4 {
    background-color: #385723;
    background: url(img/4_bg.png) no-repeat right;
   background-size: cover;
   background-attachment: fixed;
   height: 900px;
}

#section5 {
    background-color: #D9D9D9;
   background: url(img/5_bg.png) no-repeat left;
   background-size: auto 100%;
}

#section6 {
    background-color: #1F4E79;
   
}
#section7 {
    background-color: #262626;
}


/* <!--   section1  물고기 제이쿼리   ----------------------------------------------- --> */
.p11{position: absolute; right: 50;bottom: -50px;
    width: 1400px; height: auto; z-index: 2; opacity: 0.5;
}
.p12{position: absolute; right: -100px;bottom: 150px;
     width: 1500px; height: auto; z-index: 1; opacity: 0.3;
}
.p13{position: absolute; right: 0;bottom: -100px;
     width: 1400px; height: auto; z-index: 3; opacity: 0.7;
}

/* <!--   section2    ----------------------------------------------- --> */


.intro1{width: 380px; max-width: 25%; 
    height: 500px; 
    border-radius: 30px; padding: 2%;
    background: #fff url(img/2_bag1.png) no-repeat center;
    text-align: center; color: #ee9235;    
} 
.intro1 h3{font-size: 30px;
    text-shadow:2px 2px 3px rgba(0, 0, 0, 0.8);
}
.intro1 p{font-size: 18px;margin-top: 350px;}

.intro2{width: 1180px; max-width: 70%; } 
.introleft{width: 800px; max-width: 65%; height: 350px;
    float: left; padding: 2%;
    border-radius: 30px; border: 5px solid #fff;
    position: relative;
}
.introleft ul{font-size: 28px;margin-top: 10px;}
.introleft ul:nth-child(2){margin-top: 110px;}
.introleft ul li{font-size: 16px;margin-top: 10px; font-weight: normal;}
.introleft ul li img{float: left; margin-right: 23px; width: 40px;height: auto;}

/* <!--위치 표시 제이쿼리 알아보기 --> */
.location1{position: absolute; top: 40px; right: 140px;
    z-index: 3;
}
.location2{position: absolute; top: 95px; right: 120px;
    z-index: 2;
}
.map{position: absolute; top: 20px; right: 100px;
    width: 260px; z-index: 1;
}
/* <!--팝업 버튼 --> */
.introleft button{width: 20px; height: 20px;
    border-radius: 50%; background-color: #fff;
    color: #262626;
    font-size: 18px; font-weight: 800;
    margin-bottom: 10px;
   /*  position: absolute; top: 235px; left: 160px;  */
    line-height: 10px;
}

.introright{width: 380px; max-width: 35%;height: 350px;
    float: right; 
    border-radius: 30px; padding: 2%;
    text-align: left; color: #ee9235;    
    background: #fff url(img/2_bag2.png) no-repeat center;
}
.introright ul{font-size: 28px;margin-top: 10px;}
.introright ul li{font-size: 16px;margin-top: 10px; font-weight: normal;}



.introyear{width: 1180px; max-width: 100%; margin-top: 5%;
    height: 300px;float: left;
    /* border-radius: 30px; border: 5px solid #fff; */
    padding: 2%;
    display: flex; flex-wrap: wrap;
}
.introyear h3{font-size: 28px;margin-top: 10px; margin-right: auto; 
    width: 100%; color: #ee9235;  
}
.introyear ul{width: 25%;  font-size: 16px;margin-top: 10px; display: inline-block;
}
.introyear ul li{font-size: 12px;margin-top: 10px; color: #ccc;}




/* <!--   section3  배경   ----------------------------------------------- --> */
#section3 img:nth-child(3){position: absolute; right: 380px;top: 30px;
    width: 200px; height: auto; z-index: 1; opacity: 0.7;
}
#section3 img:nth-child(4){position: absolute; right: 0px;top: 700px;
     width: 400px; height: auto; z-index: 1; opacity: 0.2;
}




/* <!--   text           ----------------------------------------------- --> */

#section1 h1 {
    padding: 50px; font-size: 60px; line-height: 100px; 
}
#section2in h1 {
    margin: 100px 0;  padding-bottom: 100px;     
}
#section2in h1 span{font-size: 36px;color: #ee9235; font-weight: normal;}
#section2in h2{font-size: 3rem;color: #fff; width: 100%;text-align: center;}

#section3 h1 {
    width: 100%; text-align: center; margin-top: -50px;padding-bottom: 50px;
    z-index: 2;
    /* border: 1px solid red; */
}

#section4 h1 {
    width: 100%; text-align: center; margin-top: -100px;    
}
#section5 h1 { 
    width: 100%; text-align: center; margin-top: -70px;    
}
#section6 h1 { 
    width: 100%; text-align: center; margin-top: -70px;    
}
#section7 h1 { 
    width: 100%; text-align: left;margin-left: 8%; margin-top: -50px;    
}
.address { 
    width: 100%; text-align: left; margin-right: 8%; margin-top: -120px;    
}
.address p{float: right; line-height: 30px;}

/* <!--   배움직임           ----------------------------------------------- --> */

#videoin {
    /* border: 1px solid red; */
    overflow: visible;
    width: 100%; height: 300px;
    margin-top: -200px;
    margin-right:10%;
    animation: shipe 10s ease-in-out 2s infinite;
 }
#videoin-img{width: auto;height: 100%;}

 @keyframes shipe {
    0%{margin-left: 0;}
    100%{ margin-left: 1200px;}
}



/* <!--   반응형           ----------------------------------------------- --> */
  @media screen and (max-width: 1024px) {
  /* 이미지에 스크롤 추가 */
.popup-image-container {
    width:100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;  
    overflow: hidden;  
}

    /* 팝업 이미지 중앙 정렬 */
.popup-content {
    background-color: #fff;
    padding: 20px;
    padding-top: 50px; 
    border-radius: 8px;
    text-align: center;
    width: 100%;
    max-width: 1500px; 
    display: flex;
    margin: 50px auto;
    position: relative;
    max-height: 90vh;
    overflow-y: auto; 
    justify-content: center; 
    align-items: flex-start; 
}

}
 

@media screen and (min-width: 1000px) {
    .popup-container {
        width: 22%; /* 3개씩 배치 */
        margin: 0px 1% 50px 1%; /* 마진을 0으로 초기화 */
    }
    .popup-container1 {
        width: 25%; /* 3개씩 배치 */
        margin: 1% 0 50px 1%; /* 마진을 0으로 초기화 */
    }
    .popup-container2 {
        width: 50%; /* 3개씩 배치 */
        margin: 1% 0 50px 1%; /* 마진을 0으로 초기화 */
    }

    .content {
        gap: 80px 30px; 
    }

  /* 이미지에 스크롤 추가 */
.popup-image-container {
    width: 95%;
    height: 95%;
    display: flex;
    justify-content: center;
    align-items: center;  
    overflow: hidden; 
}

    /* 팝업 이미지 중앙 정렬 */
.popup-content {
    background-color: #fff;
    padding: 20px;
    padding-top: 50px; 
    border-radius: 8px;
    text-align: center;
    width: 90%;
    max-width: 1500px; 
    display: flex;
    margin: 50px auto;
    position: relative;
    max-height: 90vh;
    overflow-y: auto; 
    justify-content: center; 
    align-items: flex-start; 
}

  
}


